%global debug_package %{nil}


Name:           cri-dockerd
Version:        0.3.15
Release:        %mkrel 1rx3
Epoch:          3
Source0:        %{name}-%{version}.tgz
Summary:        A CRI interface for Docker
Group:          Tools/Docker
License:        ASL 2.0
URL:            https://github.com/Mirantis/cri-dockerd

Distribution:	Rx3 Free Software
Vendor:		Rx3
Packager:	Arnaud G. GIBERT <arnaud@rx3.net>

Requires: lib64seccomp2 >= 2.3
Requires: systemd
Requires: (iptables or nftables)
Requires: docker-containerd >= 1.2.2-3
Requires: tar
Requires: xz

# Resolves: rhbz#1165615
Requires: lib64devmapper1.02

BuildRequires: bash
BuildRequires: ca-certificates
BuildRequires: cmake
BuildRequires: device-mapper-devel
BuildRequires: gcc
BuildRequires: git
#BuildRequires: glibc-static
BuildRequires: libseccomp-devel
#BuildRequires: libselinux-devel
BuildRequires: libtool
BuildRequires: libtool-ltdl-devel
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: pkgconfig(systemd)
#BuildRequires: selinux-policy-devel
BuildRequires: systemd-devel
BuildRequires: tar
BuildRequires: which

%description
cri-dockerd is a lightweight implementation of the CRI specification which talks to docker.

%prep
#setup -q -c -n src -a 0
%setup -q -n %{name}

%build
%make_build %{name}

%check
./%{name} --version

%install
install -d            %{buildroot}%{_bindir} %{buildroot}%{_unitdir}

# install daemon binary
install -p -m 0755 %{name}                                 %{buildroot}%{_bindir}

# install systemd scripts
install -p -m    0644 packaging/systemd/cri-docker.service %{buildroot}%{_unitdir}
install -p -m    0644 packaging/systemd/cri-docker.socket  %{buildroot}%{_unitdir}

%files
/%{_bindir}/%{name}
/%{_unitdir}/cri-docker.service
/%{_unitdir}/cri-docker.socket
%license LICENSE

%post
%systemd_post cri-docker.service

%preun
%systemd_preun cri-docker.service

%postun
%systemd_postun_with_restart cri-docker.service

%changelog

* Sat Nov 30 2024 Arnaud G. GIBERT <arnaud@rx3.net> cri-dockerd-0.3.15-1rx3-mga8
- Import from fedora36 src rpms to Mageia 8,
- Rewrite most of the specfile.
